summaryrefslogtreecommitdiffstats
path: root/autotest.sh
diff options
context:
space:
mode:
authorRobin Appelman <icewind@owncloud.com>2014-02-07 23:29:26 +0100
committerRobin Appelman <icewind@owncloud.com>2014-02-07 23:29:26 +0100
commit8ad3fc89bed6b52b0f40095834b3b61b36d7c71c (patch)
treefbb1d0ecf7f9ce6241c9265431686f89bd0014df /autotest.sh
parentf830ad0e47df14e821161c49ab1b52694f74912a (diff)
parent91254c304d454b6f7977037dbd5dd2db5e00ff9f (diff)
downloadnextcloud-server-8ad3fc89bed6b52b0f40095834b3b61b36d7c71c.tar.gz
nextcloud-server-8ad3fc89bed6b52b0f40095834b3b61b36d7c71c.zip
Merge branch 'master' into quota-space-root
Diffstat (limited to 'autotest.sh')
-rwxr-xr-xautotest.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/autotest.sh b/autotest.sh
index 94fc692a94d..b88e9cf68b4 100755
--- a/autotest.sh
+++ b/autotest.sh
@@ -185,19 +185,23 @@ EOF
cp $BASEDIR/tests/autoconfig-$1.php $BASEDIR/config/autoconfig.php
# trigger installation
- php -f index.php
+ echo "INDEX"
+ php -f index.php | grep -i -C9999 error && echo "Error during setup" && exit 101
+ echo "END INDEX"
#test execution
echo "Testing with $1 ..."
cd tests
rm -rf coverage-html-$1
mkdir coverage-html-$1
- php -f enable_all.php
+ php -f enable_all.php | grep -i -C9999 error && echo "Error during setup" && exit 101
if [ -z "$NOCOVERAGE" ]; then
$PHPUNIT --configuration phpunit-autotest.xml --log-junit autotest-results-$1.xml --coverage-clover autotest-clover-$1.xml --coverage-html coverage-html-$1 $2 $3
+ RESULT=$?
else
echo "No coverage"
$PHPUNIT --configuration phpunit-autotest.xml --log-junit autotest-results-$1.xml $2 $3
+ RESULT=$?
fi
}